---
schema_version: "1"
id: 82454a6eae647a531dd5483618256d687d270dae1ad69b7e149878bc1ef794c4
title: Get Related Lists for an Object
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_related_list_object.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list_object.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3a535af0097b8f29dd615bdd31d851b309a8e832d9cb60d09c355f19df1d9e1c
description: Returns the related lists in an object’s default layout.
---
# Get Related Lists for an Object

Returns the related lists in an object’s default layout.

Resource

/ui-api/related-list-info/${parentObjectApiName}

- parentObjectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.

Available Version

50.0

HTTP Method

GET

Example

To get information about related lists for the Account object, make this request:

GET /services/data/v68.0/ui-api/related-list-info/Account

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| recordTypeId | Id | The ID of the record type (RecordType object) for the record. If not provided, the default record type is used. | Optional | 50.0 |

Response Body

[Related List Summary Collection](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_related_list_summary_collection.htm "A collection of related lists for a given object.")